# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Need to tweak the test suite if we have Test::More < 0.88
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Text-Haml
Version:	0.990118
Release:	1.%{__distinit}%{__distvers}
Summary:	Haml Perl implementation
License:	Artistic 2.0
Group:		Development/Libraries
URL:		https://github.com/vti/text-haml
Source0:	http://cpan.metacpan.org/authors/id/V/VT/VTI/Text-Haml-%{version}.tar.gz
Patch0:		Text-Haml-0.990118-old-M:B:T.patch
Patch1:		Text-Haml-0.990116-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(Module::Build::Tiny) >= 0.030
BuildRequires:	perl(utf8)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Data::Section::Simple)
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(Encode)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(URI::Escape)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.14
# 3 naked subroutines (cache_path, fullpath, helpers_options) in 0.990118
BuildConflicts:	perl(Test::Pod::Coverage) >= 1.04
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(File::Path)

%description
Text::Haml implements Haml
http://haml-lang.com/docs/yardoc/file.HAML_REFERENCE.html specification.

Text::Haml passes specification tests written by Norman Clarke
(http://github.com/norman/haml-spec) and supports only cross-language Haml
features. Do not expect Ruby-specific things to work.

%prep
%setup -q -n Text-Haml-%{version}

# Don't need Module::Build::Tiny as recent as 0.035
%patch0

# Need to tweak the test suite if we have Test::More < 0.88
%if %{old_test_more}
%patch1
%endif

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
TEST_POD=1 ./Build test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README.md
%{perl_vendorlib}/Text/
%{_mandir}/man3/Text::Haml.3*

%changelog
* Thu Jan 19 2017 Paul Howarth <paul@city-fan.org> - 0.990118-1
- Update to 0.990118
  - Update HAML reference links in documentation
  - Switch from Module::Build to Module::Build::Tiny
- Add patch to support building with Module::Build::Tiny < 0.035

* Wed Oct 12 2016 Paul Howarth <paul@city-fan.org> - 0.990117-2
- BR: perl-generators where available

* Mon Apr 25 2016 Paul Howarth <paul@city-fan.org> - 0.990117-1
- Update to 0.990117
  - Fixed regression introduced by implicit bracing where final trailing
    newlines were no longer suppressed where they should have been
  - Fixed bogus <> and </> from wrapping lines beginning with ( or {
  - Added test to ensure sequential multiline code blocks work
  - Since we no longer allow statement continuation across '-' code block
    lines, implemented support for multiline code blocks
  - Fair attempt at block capturing helpers
  - Now bracing whole level, including blocks, which is a precursor to
    allowing helpers to enclose blocks
  - Need implicit braces around block contents too
  - Eliminate need for closing brace block by implicitly adding open/close
    braces at level changes

* Fri Aug 29 2014 Paul Howarth <paul@city-fan.org> - 0.990116-3
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Fri Apr 25 2014 Paul Howarth <paul@city-fan.org> - 0.990116-1
- Update to 0.990116
  - Update docs on how to use Data::Section::Simple
  - Bug fix in html comments with double quotes
  - Bug fix html comment
  - Fixed bug with adding a newline in the last line of the template
  - Bug fix comment haml inside tag
- Update patch for building with old Test::More versions

* Mon Jan 20 2014 Paul Howarth <paul@city-fan.org> - 0.990115-1
- Update to 0.990115
  - Fix comment in :css filter

* Sat Dec 21 2013 Paul Howarth <paul@city-fan.org> - 0.990114-1
- Update to 0.990114
  - Correct behaviour when working with false and undefined values
  - :css filter

* Tue Nov 26 2013 Paul Howarth <paul@city-fan.org> - 0.990113-1
- Update to 0.990113
  - Fix test failure on windows (\r\n -> \n)
  - Fix bug with HTML escaping

* Wed Nov  6 2013 Paul Howarth <paul@city-fan.org> - 0.990112-1
- Update to 0.990112
  - Fix support for caching of templates in __DATA__ section
  - Fix hashref interpolation inside filters
- Package Changes and LICENSE file
- Switch to Module::Build flow
- Drop redundant old-perl patch

* Thu Oct 24 2013 Paul Howarth <paul@city-fan.org> - 0.990111-1
- Update to 0.990111
  - Add Data::Section::Simple test dependency

* Wed Oct 16 2013 Paul Howarth <paul@city-fan.org> - 0.990110-1
- Update to 0.990110
- BR: perl(Data::Section::Simple) for the test suite

* Thu Aug  8 2013 Paul Howarth <paul@city-fan.org> - 0.990109-1
- Update to 0.990109

* Tue Jul 16 2013 Paul Howarth <paul@city-fan.org> - 0.990108-2
- Perl 5.18 rebuild

* Mon Apr 22 2013 Paul Howarth <paul@city-fan.org> - 0.990108-1
- Update to 0.990108

* Fri Mar 29 2013 Paul Howarth <paul@city-fan.org> - 0.990107-1
- Initial RPM version
